import { createApp } from 'vue'
import App from './App.vue'
import { createWebHistory, createRouter } from 'vue-router'


// Vuetify
import 'vuetify/styles'
import { createVuetify } from 'vuetify'
import * as components from 'vuetify/components'
import * as directives from 'vuetify/directives'
import SearchBahn from './components/search.vue'
import { createI18n } from 'vue-i18n'
import de from "./locales/de.json";
import en from "./locales/en.json";
import fr from "./locales/fr.json";
import ua from "./locales/ua.json";

const app = createApp(App)

const routes = [
  { path: '/search', component: SearchBahn },
]

const router = createRouter({
  history: createWebHistory(),
  routes,
})

const vuetify = createVuetify({
  components,
  directives,
})
const i18n = createI18n({
  locale: "en",
  fallbackLocale: "en",
  messages: { de, en, fr, ua },
})

app.use(vuetify).use(router).use(i18n).mount('#app')
